< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package voa
  Definition Classes
    gov
-  package play
  Definition Classes
    voa
-  package form
  Definition Classes
    play
- ConditionalMapping
- ConditionalMappings
- MandatoryOptionalMapping
- conditionOpts

o

uk.gov.voa.play.form

# ConditionalMappings 

###

#### object ConditionalMappings

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ConditionalMappings
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def isAnyOf(field: String, values: Seq[String]): Condition
12.  def isEqual(field: String, value: String): Condition
13.  def isFalse(field: String): Condition
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  def isNotAnyOf(field: String, values: Seq[String]): Condition
16.  def isNotEqual(field: String, value: String): Condition
17.  def isTrue(field: String): Condition
18.  def mandatory[T](mapping: Mapping[T], prefix: Option[String] = None, showNestedErrors: Boolean = true): ConditionalMapping[Option[T]]
19.  def mandatoryAndOnlyIfAnyOf[T](fieldName: String, values: Seq[String], mapping: Mapping[T]): Mapping[Option[T]]
20.  def mandatoryBooleanIfTrue(fieldName: String, mapping: Mapping[Boolean], prefix: Option[String] = None): ConditionalMapping[Option[Boolean]]
21.  def mandatoryIf[T](condition: Condition, mapping: Mapping[T]): ConditionalMapping[Option[T]]
22.  def mandatoryIfAllEqual[T](pairs: Seq[(String, String)], mapping: Mapping[T], prefix: Option[String] = None, showNestedErrors: Boolean = true, error: Option[String] = None): Mapping[Option[T]]
23.  def mandatoryIfAnyAreTrue[T](fields: Seq[String], mapping: Mapping[T], prefix: Option[String] = None, showNestedErrors: Boolean = true, fieldsToExclude: Seq[String] = Seq.empty): Mapping[Option[T]]
24.  def mandatoryIfAnyOf[T](fieldName: String, values: Seq[String], mapping: Mapping[T]): Mapping[Option[T]]
25.  def mandatoryIfEqual[T](fieldName: String, value: String, mapping: Mapping[T]): Mapping[Option[T]]
26.  def mandatoryIfEqualToAny[T](fieldName: String, values: Seq[String], mapping: Mapping[T]): Mapping[Option[T]]
27.  def mandatoryIfExists[T](fieldName: String, mapping: Mapping[T]): Mapping[Option[T]]
28.  def mandatoryIfFalse[T](fieldName: String, mapping: Mapping[T], prefix: Option[String] = None): Mapping[Option[T]]
29.  def mandatoryIfNot[T](fieldName: String, value: String, mapping: Mapping[T]): Mapping[Option[T]]
30.  def mandatoryIfTrue[T](fieldName: String, mapping: Mapping[T], prefix: Option[String] = None): Mapping[Option[T]]
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  def onlyIf[T](c: Condition, mapping: Mapping[T])(implicit nonMapValue: T): Mapping[T]
35.  def onlyIfAny[T](pairs: Seq[(String, String)], mapping: Mapping[T])(implicit nonMapValue: T): Mapping[T]
36.  def onlyIfTrue[T](fieldName: String, mapping: Mapping[T])(implicit nonMapValue: T): Mapping[T]
37.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
38.  def toString(): String
    Definition Classes
      AnyRef → Any
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped